// Cirrus app styles

@font-face
	font-display: swap
	font-family: 'Cabin'
	src: url("./cabin-regular.woff2") format("woff2")

@keyframes fade
	from
		opacity: 0
	to
		opacity: 1

.owner-ft,
.publisher-ft, 
.recycle-ft,
.editable
	display: none
	
html
	font-size: 16px

body
	--bg-color-a: #fff
	--bg-color-b: #eee5
	--cirrus-color: #33ccff
	--ft-color: #666
	--ft-hovered-color: #000
	background-color: var(--bg-color-a)
	box-sizing: border-box
	color: var(--ft-color)
	display: grid
	font-family: Cabin, sans-serif
	height: 100vh
	margin: 0
	&.--dark-theme
		--bg-color-a: #222
		--bg-color-b: #333
		--ft-color: #bbb
		--ft-hovered-color: #fff
	&.--is-publisher .publisher-ft,
	&.--is-owner .owner-ft
		display: block
	&.--in-recycle
		.recycle-ft
			display: block
		.data-ft
			display: none

main
	display: none
	padding: 72px 0 60px 0
	&.home-main
		@media screen and (min-width: 1024px)
			background: url('./cirrus-logo-bg.svg')
			background-attachment: fixed
			background-position: center
			background-repeat: no-repeat
			background-size: 150%
	&.--visible
		display: block

footer	
	align-items: center
	background-color: var(--bg-color-a)
	bottom: 0px
	box-sizing: border-box
	display: flex
	height: 60px
	justify-content: space-between
	left: 0px
	padding: 0 24px
	position: fixed
	right: 0px
	text-align: center

a
	color: inherit
	text-decoration: none
	
button
	background-color: transparent
	border: none
	color: var(--ft-color)
	display: block
	min-height: 44px
	min-width: 44px
		
input
	background-color: transparent
	border: none
	border-bottom: solid 1px var(--bg-color-b) 
	box-sizing: border-box
	color: var(--ft-color)
	display: block
	font-size: 1rem
	margin: 18px 0
	padding-bottom: 3px
	width: 100%
	&:focus
		border-bottom-color: var(--cirrus-color)
		outline: none

svg
	fill: var(--ft-color)
	vertical-align: middle
	width: 24px
		
.nav
	align-items: center
	background-color: var(--bg-color-a)
	box-sizing: border-box
	display: flex
	height: 72px
	justify-content: space-between
	left: 0
	padding: 0px 12px 12px 12px
	position: fixed
	right: 0
	top: 0
	z-index: 1
	div
		display: flex
		max-width: 154px
		overflow-x: auto
		@media screen and (min-width: 500px)
			max-width: initial
	label
		position: absolute
		top: -9999px
		
.infos
	background-color: var(--bg-color-b)
	box-sizing: border-box
	display: none
	grid-template-columns: auto auto
	justify-content: space-between	
	padding: 12px 24px
	&.--visible
		display: grid
	span + span
		margin-left: 18px
	svg
		width: 12px
			
.panel
	background-color: #000a
	bottom: 0
	display: none
	left: 0
	position: fixed
	right: 0
	top: 0
	z-index: 2
	&.--visible
		display: block
	> div
		background-color: var(--bg-color-a)
		border: solid 1px var(--bg-color-b)
		display: flex
		flex-direction: column
		height: 90vh
		left: 50%
		margin-left: -45vw
		margin-top: -45vh
		overflow: auto
		position: fixed
		top: 50%
		width: 90vw
		> div
			display: flex
			flex-direction: column-reverse
			height: 100%
			width: 100%
			@media screen and (min-width: 1024px)
				flex-direction: row
	nav
		background-color: var(--bg-color-a)
		border-bottom: solid 1px var(--bg-color-b)
		display: flex
		padding: 12px 12px 24px 12px
	dl
		border-right: solid 1px var(--bg-color-b)
		box-sizing: border-box
		margin: 0
		max-width: 300px
		padding: 24px
		width: 100%
	dt
		font-weight: bold
		margin-bottom: 3px
	dd
		margin-bottom: 12px
		margin-left: 0

	iframe
		border: none
		box-sizing: border-box
		display: block
		height: 100%
		width: 100%	
	form
		margin: auto
		max-width: 720px
		padding: 24px
	label
		align-items: center
		margin: 24px 0
		&:first-of-type, &:nth-of-type(2)
			display: grid
			grid-template-columns: 48px auto
	input, textarea
		display: block
		font-family: inherit
		margin: 12px auto
	textarea
		box-sizing: border-box
		height: 90px
		min-height: 60px
		resize: vertical
		width: 100%
	button:last-of-type
		margin-left: auto
		
.popup
	background-color: var(--bg-color-a)
	border-radius: 6px
	box-sizing: border-box
	display: none
	justify-content: center
	left: 50%
	margin-left: -110px
	margin-top: -110px
	padding: 12px
	position: fixed
	text-align: center
	top: 50%
	width: 220px
	&.--visible
		display: block
		p
			display: block
	object
		margin-bottom: -24px
		width: 96px
	p
		animation: fade .1s .5s 1 both
		display: none
		line-height: 24px

.notice
	background-color: var(--bg-color-b)
	bottom: 60px
	display: none
	left: 0
	padding: 12px 24px
	position: fixed
	right: 0
	&.--visible
		display: block

.content
	display: none
	margin: 0
	padding: 12px 0
	&.--visible
		display: block
	li
		align-items: center
		display: grid
		grid-template-columns: 100% repeat(4, auto)
		overflow-x: auto
		padding: 0px 12px 0px 24px
		@media screen and (min-width: 500px)
			grid-template-columns: 1fr repeat(4, auto)	
		&.--editing
			.non-editable 		
				display: none !important
			.editable
				display: block
		p
			overflow-wrap: anywhere
			svg	
				margin-right: 12px
				width: 20px

// Overides app styles

.sign-page

	main
		background-color: var(--bg-color-a)
		box-sizing: border-box
		color: var(--ft-color)
		display: flex
		flex-direction: column-reverse
		height: 100vh
		justify-content: space-between
		overflow-y: auto
		padding: 24px 48px
		@media screen and (min-width: 1024px)	
			align-items: center
			display: grid
			grid-template-columns: 1fr 3fr
			padding: 48px 96px

	h1
		font-size: 1rem
		font-weight: normal
		text-align: center
		@media screen and (min-width: 1024px)
			grid-column: 1 / 3
			margin-left: auto
			text-align: right
		span
			color: var(--cirrus-color)

	img
		margin: 0 auto
		max-width: 288px
		width: 100%
		@media screen and (min-width: 1024px)
			max-width: initial

	form
		margin: 0 auto

	label
		color: var(--ft-hovered-color)
		display: block
		margin-bottom: 36px
		span
			color: var(--ft-color)
			display: block
			font-size: .9rem

	input
		background-color: transparent
		border: none
		border-bottom: solid 1px var(--bg-color-b) 
		box-sizing: border-box
		color: var(--ft-color)
		display: block
		font-size: 1rem
		margin: 12px 0 0 0
		padding-bottom: 3px
		width: 100%		
		&:focus
			border-bottom-color: var(--cirrus-color)
			outline: none

	.password input
		padding-right: 48px

	button
		margin: 0 36px 12px auto
		@media screen and (min-width: 1024px)
			margin-bottom: 0

	.password button
		margin-bottom: -48px
		margin-right: 0
		position: relative
		top: -48px

.admin-page

	section
		padding: 0 12px
		& + section
			margin-top: 36px

	h2
		margin-bottom: 12px
		border-bottom: solid 1px var(--bg-color-b)
	
	button
		min-height: initial

	ul
		background-color: var(--bg-color-b)
		padding: 12px 12px 12px 36px

	a
		word-break: break-all

	section button
		margin: 12px 0
		&::before
			display: inline-block
			margin: 0 6px 1px auto

// Media rules

@media (any-hover: hover)
	
	a:hover
		color: var(--ft-hovered-color)
		text-decoration: underline
		text-decoration-color: var(--cirrus-color)
		text-decoration-thickness: 2px
		text-underline-offset: 3px

	.content li
		grid-template-columns: auto 1fr repeat(4, auto)
		&::before
			border-radius: 50%
			content: ""
			height: 9px
			margin-right: 12px
			width: 9px
		&:hover::before, &.--hovered::before
			background-color: var(--cirrus-color)
		a:hover
			svg
				fill: var(--ft-hovered-color)

	button
		&::before
			border-radius: 50%
			content: ""
			display: block
			height: 9px
			margin: 0 auto 6px auto
			width: 9px	
		&:hover
			outline: none
			color: var(--ft-hovered-color)
			&::before
				background-color: var(--cirrus-color)
			svg
				fill: var(--ft-hovered-color)